gnutls_srp_base64_decode(3)

NAME
gnutls_srp_base64_decode

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_base64_decode(const gnutls_datum_t * b64_data, char * result, int * result_size);

ARGUMENTS

const gnutls_datum_t * b64_data
    contain the encoded data

char * result
    the place where decoded data will be copied

int * result_size
    holds the size of the result

DESCRIPTION
This function will decode the given encoded data, using the base64 encoding found in libsrp. Note that b64_data should be null terminated. Returns GNUTLS_E_SHORT_MEMORY_BUFFER if the buffer given is not long enough, or 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.